﻿/**
* DevExpress Analytics (core\_updateZoomBinding.js)
* Version:  24.2.7
* Build date: Apr 29, 2025
* Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
* License: https://www.devexpress.com/Support/EULAs/universal.xml
*/
import { $dx } from './utils/_jqueryUtils';
export const cssTransform = ['-webkit-transform', '-moz-transform', '-ms-transform', '-o-transform', 'transform'];
export function updateZoomBinding(element, value) {
    for (let i = 0; i < cssTransform.length; i++) {
        element.style[cssTransform[i]] = 'scale(' + (value) + ')';
    }
    $dx(element).addClass('dxrd-transform-origin-left-top');
}
