﻿/**
* DevExpress Analytics (core\elements\serializableModel.d.ts)
* Version:  24.2.7
* Build date: Apr 29, 2025
* Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
* License: https://www.devexpress.com/Support/EULAs/universal.xml
*/
import { Disposable } from '../../serializer/disposable';
import { IModelSerializer } from '../../serializer/serializer';
import { ISerializationInfoArray } from '../../serializer/serializationInfo';
export declare class SerializableModel extends Disposable {
    preInitProperties(model: any, serializer?: IModelSerializer, info?: ISerializationInfoArray): void;
    constructor(model: any, serializer?: IModelSerializer, info?: ISerializationInfoArray);
    getInfo(): ISerializationInfoArray;
}
