﻿/**
* DevExpress Analytics (core\internal\_arrayStores.d.ts)
* Version:  24.2.7
* Build date: Apr 29, 2025
* Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
* License: https://www.devexpress.com/Support/EULAs/universal.xml
*/
import ArrayStore from 'devextreme/data/array_store';
import CustomStore, { Options } from 'devextreme/data/custom_store';
export declare class CustomSortedArrayStore extends CustomStore {
    static _sortItems(items: any[], sortPropertyName: string): any[];
    static _createOptions(items: any, sortPropertyName: any): Options;
    constructor(items: any[], sortPropertyName?: string);
}
export declare class SortedArrayStore extends ArrayStore {
    constructor(options: any, sortPropertyName?: string);
}
