﻿/**
* DevExpress Analytics (core\internal\_inlineTextEdit.d.ts)
* Version:  24.2.7
* Build date: Apr 29, 2025
* Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
* License: https://www.devexpress.com/Support/EULAs/universal.xml
*/
import * as ko from 'knockout';
import { Disposable } from '../../serializer/disposable';
import { ISelectionProvider } from '../selection/_selection';
export declare class InlineTextEdit extends Disposable {
    private _showInline;
    text: ko.Observable<string> | ko.Computed<string>;
    visible: ko.Observable<boolean> | ko.Computed<boolean>;
    element: HTMLElement;
    keypressAction: any;
    show: any;
    constructor(selection: ISelectionProvider);
}
