﻿/**
* DevExpress Analytics (core\internal\_requestManager.d.ts)
* Version:  24.2.7
* Build date: Apr 29, 2025
* Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
* License: https://www.devexpress.com/Support/EULAs/universal.xml
*/
import { DxPromise } from '../utils/_jqueryUtils';
export interface IRequestManagerSettings {
    headers?: {
        [key: string]: any;
    };
    data?: {};
    type?: string;
    url?: string;
    abortController?: AbortController;
    beforeSend?: (settings: RequestInit) => void | Promise<void>;
}
export interface IRequestManager<T = IRequestManagerSettings> {
    sendRequest: (settings: T) => DxPromise<any>;
    useFetch?: boolean;
}
