﻿/**
* DevExpress Analytics (core\utils\_koUtils.d.ts)
* Version:  24.2.7
* Build date: Apr 29, 2025
* Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
* License: https://www.devexpress.com/Support/EULAs/universal.xml
*/
import { Computed, MaybeSubscribable, Subscribable } from 'knockout';
import { IGlobalSubscribableValue } from '../../serializer/_internal';
export declare const koUtils: {
    isSubscribable: <T = any>(value: MaybeSubscribable) => value is Subscribable<T>;
    isComputed: (value: MaybeSubscribable) => value is Computed<any>;
    unwrap: <T_1 = any>(value: MaybeSubscribable<T_1> | IGlobalSubscribableValue<T_1>) => T_1;
};
