﻿/**
* DevExpress Analytics (core\utils\_utils.ajax.d.ts)
* Version:  24.2.7
* Build date: Apr 29, 2025
* Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
* License: https://www.devexpress.com/Support/EULAs/universal.xml
*/
export declare function setAjax(newFunc: any): void;
export interface IAjaxSettings {
    uri: string;
    action?: string;
    arg?: any;
    processErrorCallback?: (message: string, jqXHR: any, textStatus: any) => void;
    ignoreError?: () => boolean;
    customOptions?: any;
    isError?: (data: any) => boolean;
    getErrorMessage?: (jqXHR: any) => string;
    method?: 'POST' | 'GET';
}
export declare function _ajax(uri: any, action: any, arg: any, processErrorCallback?: (message: string, jqXHR: any, textStatus: any) => void, ignoreError?: () => boolean, customOptions?: any, isError?: (data: any) => boolean, getErrorMessage?: (deferredResult: any) => string, method?: string): import("./_jqueryUtils").DxPromise<any>;
export declare function _ajaxWithOptions(options: IAjaxSettings): import("./_jqueryUtils").DxPromise<any>;
export declare let sendRequest: (...params: (IAjaxSettings | any)[]) => any;
