﻿/**
* DevExpress Analytics (core\widgets\_requiredNullableEditor.d.ts)
* Version:  24.2.7
* Build date: Apr 29, 2025
* Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
* License: https://www.devexpress.com/Support/EULAs/universal.xml
*/
import { Editor } from '../../property-grid/widgets/editor';
import { DotnetTypes } from '../internal/_dotnetTypesMapper';
export declare class RequiredNullableEditor extends Editor {
    _getEditorValidationRules(): any[];
    get nullable(): any;
}
export declare function createNumericEditor(dotNetTypeFullName: DotnetTypes, specifics: string): {
    header: string;
    editorType: any;
};
export declare function createDateEditor(dotNetTypeFullName: DotnetTypes): {
    header: string;
    editorType: any;
};
