﻿/**
* DevExpress Analytics (core\widgets\textAlignmentEditor\_textAlignmentEditor.d.ts)
* Version:  24.2.7
* Build date: Apr 29, 2025
* Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
* License: https://www.devexpress.com/Support/EULAs/universal.xml
*/
import * as ko from 'knockout';
import { EditorWithIcons } from '../bordereditor/_bordereditor';
export declare class TextAlignmentModel extends EditorWithIcons {
    private _resetHorizontalValues;
    private _resetVerticalValues;
    protected preInitProperties(): void;
    setValue(name: any, type: any): void;
    updateModel(value: string): void;
    updateValue(): void;
    middle: ko.Observable<boolean>;
    center: ko.Observable<boolean>;
    justify: ko.Observable<boolean>;
    horizontalString: ko.Observable<any>;
    verticalString: ko.Observable<any>;
}
