﻿/**
* DevExpress Analytics (diagram\elements\connectors\connectorModel.d.ts)
* Version:  24.2.7
* Build date: Apr 29, 2025
* Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
* License: https://www.devexpress.com/Support/EULAs/universal.xml
*/
import * as ko from 'knockout';
import { DiagramElementBaseViewModel } from '../diagramElementBaseViewModel';
import { ElementViewModel } from '../../../core/elements/elementViewModel';
import { ModelSerializer } from '../../../serializer/serializer';
import { ConnectionPointViewModel } from './connectionPointModel';
export declare class ConnectorViewModel extends DiagramElementBaseViewModel {
    static MIN_LINE_THICKNESS: number;
    getX(): number;
    getY(): number;
    getWidth(): number;
    getHeight(): number;
    constructor(control: any, parent: ElementViewModel, serializer?: ModelSerializer);
    startPoint: ko.Observable<ConnectionPointViewModel> | ko.Computed<ConnectionPointViewModel>;
    endPoint: ko.Observable<ConnectionPointViewModel> | ko.Computed<ConnectionPointViewModel>;
}
