﻿/**
* DevExpress Analytics (diagram\elements\connectors\connectorSurface.d.ts)
* Version:  24.2.7
* Build date: Apr 29, 2025
* Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
* License: https://www.devexpress.com/Support/EULAs/universal.xml
*/
import * as ko from 'knockout';
import { DiagramElementBaseSurface } from '../diagramElementBaseSurface';
import { ConnectorViewModel } from './connectorModel';
import { ISurfaceContext } from '../../../core/elements/baseSurface';
import { ConnectionPointSurface } from './connectionPointSurface';
export declare class ConnectorSurface extends DiagramElementBaseSurface<ConnectorViewModel> {
    constructor(control: ConnectorViewModel, context: ISurfaceContext);
    template: string;
    selectiontemplate: string;
    startPoint: ko.Observable<ConnectionPointSurface> | ko.Computed<ConnectionPointSurface>;
    endPoint: ko.Observable<ConnectionPointSurface> | ko.Computed<ConnectionPointSurface>;
}
