﻿/**
* DevExpress Analytics (diagram\elements\diagramElementBaseViewModel.js)
* Version:  24.2.7
* Build date: Apr 29, 2025
* Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
* License: https://www.devexpress.com/Support/EULAs/universal.xml
*/
import { ElementViewModel } from '../../core/elements/elementViewModel';
import { size, location, name, text } from '../metadata';
import { diagramControlsFactory } from '../controlsFactory';
export class DiagramElementBaseViewModel extends ElementViewModel {
    getControlFactory() {
        return diagramControlsFactory;
    }
    constructor(control, parent, serializer) {
        super(control, parent, serializer);
    }
}
export const diagramElementSerializationInfo = [size, location, name, text, { propertyName: 'type', modelName: '@Type' }];
