﻿/**
* DevExpress Analytics (dx-analytics-core-svg-bindings.js)
* Version:  24.2.7
* Build date: Apr 29, 2025
* Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
* License: https://www.devexpress.com/Support/EULAs/universal.xml
*/
import { addToBindingsCache } from './property-grid/widgets/internal/_bindingsCache';
addToBindingsCache('template: \'dxrd-svg-collapsed\'', function ($context, $element) { return { 'template': function () { return 'dxrd-svg-collapsed'; } }; });
addToBindingsCache('template: \'dxrd-svg-ellipsis\'', function ($context, $element) { return { 'template': function () { return 'dxrd-svg-ellipsis'; } }; });
addToBindingsCache('template: \'dxrd-svg-error\'', function ($context, $element) { return { 'template': function () { return 'dxrd-svg-error'; } }; });
addToBindingsCache('template: \'dxrd-svg-expressioneditor-addition\'', function ($context, $element) { return { 'template': function () { return 'dxrd-svg-expressioneditor-addition'; } }; });
addToBindingsCache('template: \'dxrd-svg-expressioneditor-and\'', function ($context, $element) { return { 'template': function () { return 'dxrd-svg-expressioneditor-and'; } }; });
addToBindingsCache('template: \'dxrd-svg-expressioneditor-division\'', function ($context, $element) { return { 'template': function () { return 'dxrd-svg-expressioneditor-division'; } }; });
addToBindingsCache('template: \'dxrd-svg-expressioneditor-edit\'', function ($context, $element) { return { 'template': function () { return 'dxrd-svg-expressioneditor-edit'; } }; });
addToBindingsCache('template: \'dxrd-svg-expressioneditor-equal\'', function ($context, $element) { return { 'template': function () { return 'dxrd-svg-expressioneditor-equal'; } }; });
addToBindingsCache('template: \'dxrd-svg-expressioneditor-greater\'', function ($context, $element) { return { 'template': function () { return 'dxrd-svg-expressioneditor-greater'; } }; });
addToBindingsCache('template: \'dxrd-svg-expressioneditor-greater_or_equal\'', function ($context, $element) { return { 'template': function () { return 'dxrd-svg-expressioneditor-greater_or_equal'; } }; });
addToBindingsCache('template: \'dxrd-svg-expressioneditor-less\'', function ($context, $element) { return { 'template': function () { return 'dxrd-svg-expressioneditor-less'; } }; });
addToBindingsCache('template: \'dxrd-svg-expressioneditor-less_or_equal\'', function ($context, $element) { return { 'template': function () { return 'dxrd-svg-expressioneditor-less_or_equal'; } }; });
addToBindingsCache('template: \'dxrd-svg-expressioneditor-modulus\'', function ($context, $element) { return { 'template': function () { return 'dxrd-svg-expressioneditor-modulus'; } }; });
addToBindingsCache('template: \'dxrd-svg-expressioneditor-multiplication\'', function ($context, $element) { return { 'template': function () { return 'dxrd-svg-expressioneditor-multiplication'; } }; });
addToBindingsCache('template: \'dxrd-svg-expressioneditor-not\'', function ($context, $element) { return { 'template': function () { return 'dxrd-svg-expressioneditor-not'; } }; });
addToBindingsCache('template: \'dxrd-svg-expressioneditor-not_equal\'', function ($context, $element) { return { 'template': function () { return 'dxrd-svg-expressioneditor-not_equal'; } }; });
addToBindingsCache('template: \'dxrd-svg-expressioneditor-or\'', function ($context, $element) { return { 'template': function () { return 'dxrd-svg-expressioneditor-or'; } }; });
addToBindingsCache('template: \'dxrd-svg-expressioneditor-parenthesis\'', function ($context, $element) { return { 'template': function () { return 'dxrd-svg-expressioneditor-parenthesis'; } }; });
addToBindingsCache('template: \'dxrd-svg-expressioneditor-subtraction\'', function ($context, $element) { return { 'template': function () { return 'dxrd-svg-expressioneditor-subtraction'; } }; });
addToBindingsCache('template: \'dxrd-svg-fieldlist-array\'', function ($context, $element) { return { 'template': function () { return 'dxrd-svg-fieldlist-array'; } }; });
addToBindingsCache('template: \'dxrd-svg-fieldlist-bitearray\'', function ($context, $element) { return { 'template': function () { return 'dxrd-svg-fieldlist-bitearray'; } }; });
addToBindingsCache('template: \'dxrd-svg-fieldlist-bool\'', function ($context, $element) { return { 'template': function () { return 'dxrd-svg-fieldlist-bool'; } }; });
addToBindingsCache('template: \'dxrd-svg-fieldlist-booleanfield\'', function ($context, $element) { return { 'template': function () { return 'dxrd-svg-fieldlist-booleanfield'; } }; });
addToBindingsCache('template: \'dxrd-svg-fieldlist-column\'', function ($context, $element) { return { 'template': function () { return 'dxrd-svg-fieldlist-column'; } }; });
addToBindingsCache('template: \'dxrd-svg-fieldlist-datasource\'', function ($context, $element) { return { 'template': function () { return 'dxrd-svg-fieldlist-datasource'; } }; });
addToBindingsCache('template: \'dxrd-svg-fieldlist-date\'', function ($context, $element) { return { 'template': function () { return 'dxrd-svg-fieldlist-date'; } }; });
addToBindingsCache('template: \'dxrd-svg-fieldlist-datetime\'', function ($context, $element) { return { 'template': function () { return 'dxrd-svg-fieldlist-datetime'; } }; });
addToBindingsCache('template: \'dxrd-svg-fieldlist-datetimefield\'', function ($context, $element) { return { 'template': function () { return 'dxrd-svg-fieldlist-datetimefield'; } }; });
addToBindingsCache('template: \'dxrd-svg-fieldlist-doublefield\'', function ($context, $element) { return { 'template': function () { return 'dxrd-svg-fieldlist-doublefield'; } }; });
addToBindingsCache('template: \'dxrd-svg-fieldlist-enum\'', function ($context, $element) { return { 'template': function () { return 'dxrd-svg-fieldlist-enum'; } }; });
addToBindingsCache('template: \'dxrd-svg-fieldlist-float\'', function ($context, $element) { return { 'template': function () { return 'dxrd-svg-fieldlist-float'; } }; });
addToBindingsCache('template: \'dxrd-svg-fieldlist-guid\'', function ($context, $element) { return { 'template': function () { return 'dxrd-svg-fieldlist-guid'; } }; });
addToBindingsCache('template: \'dxrd-svg-fieldlist-integer\'', function ($context, $element) { return { 'template': function () { return 'dxrd-svg-fieldlist-integer'; } }; });
addToBindingsCache('template: \'dxrd-svg-fieldlist-integerfield\'', function ($context, $element) { return { 'template': function () { return 'dxrd-svg-fieldlist-integerfield'; } }; });
addToBindingsCache('template: \'dxrd-svg-fieldlist-listsource\'', function ($context, $element) { return { 'template': function () { return 'dxrd-svg-fieldlist-listsource'; } }; });
addToBindingsCache('template: \'dxrd-svg-fieldlist-none\'', function ($context, $element) { return { 'template': function () { return 'dxrd-svg-fieldlist-none'; } }; });
addToBindingsCache('template: \'dxrd-svg-fieldlist-parameters\'', function ($context, $element) { return { 'template': function () { return 'dxrd-svg-fieldlist-parameters'; } }; });
addToBindingsCache('template: \'dxrd-svg-fieldlist-range\'', function ($context, $element) { return { 'template': function () { return 'dxrd-svg-fieldlist-range'; } }; });
addToBindingsCache('template: \'dxrd-svg-fieldlist-string\'', function ($context, $element) { return { 'template': function () { return 'dxrd-svg-fieldlist-string'; } }; });
addToBindingsCache('template: \'dxrd-svg-fieldlist-stringfield\'', function ($context, $element) { return { 'template': function () { return 'dxrd-svg-fieldlist-stringfield'; } }; });
addToBindingsCache('template: \'dxrd-svg-fieldlist-table\'', function ($context, $element) { return { 'template': function () { return 'dxrd-svg-fieldlist-table'; } }; });
addToBindingsCache('template: \'dxrd-svg-fieldlist-time\'', function ($context, $element) { return { 'template': function () { return 'dxrd-svg-fieldlist-time'; } }; });
addToBindingsCache('template: \'dxrd-svg-fieldlist-view\'', function ($context, $element) { return { 'template': function () { return 'dxrd-svg-fieldlist-view'; } }; });
addToBindingsCache('template: \'dxrd-svg-filtereditor-add\'', function ($context, $element) { return { 'template': function () { return 'dxrd-svg-filtereditor-add'; } }; });
addToBindingsCache('template: \'dxrd-svg-filtereditor-edit\'', function ($context, $element) { return { 'template': function () { return 'dxrd-svg-filtereditor-edit'; } }; });
addToBindingsCache('template: \'dxrd-svg-filtereditor-remove\'', function ($context, $element) { return { 'template': function () { return 'dxrd-svg-filtereditor-remove'; } }; });
addToBindingsCache('template: \'dxrd-svg-fontstyle-bold\'', function ($context, $element) { return { 'template': function () { return 'dxrd-svg-fontstyle-bold'; } }; });
addToBindingsCache('template: \'dxrd-svg-fontstyle-italic\'', function ($context, $element) { return { 'template': function () { return 'dxrd-svg-fontstyle-italic'; } }; });
addToBindingsCache('template: \'dxrd-svg-fontstyle-strikeout\'', function ($context, $element) { return { 'template': function () { return 'dxrd-svg-fontstyle-strikeout'; } }; });
addToBindingsCache('template: \'dxrd-svg-fontstyle-underline\'', function ($context, $element) { return { 'template': function () { return 'dxrd-svg-fontstyle-underline'; } }; });
addToBindingsCache('template: \'dxrd-svg-menu-menu\'', function ($context, $element) { return { 'template': function () { return 'dxrd-svg-menu-menu'; } }; });
addToBindingsCache('template: \'dxrd-svg-menu-open\'', function ($context, $element) { return { 'template': function () { return 'dxrd-svg-menu-open'; } }; });
addToBindingsCache('template: \'dxrd-svg-menu-save\'', function ($context, $element) { return { 'template': function () { return 'dxrd-svg-menu-save'; } }; });
addToBindingsCache('template: \'dxrd-svg-menu-saveas\'', function ($context, $element) { return { 'template': function () { return 'dxrd-svg-menu-saveas'; } }; });
addToBindingsCache('template: \'dxrd-svg-operations-add\'', function ($context, $element) { return { 'template': function () { return 'dxrd-svg-operations-add'; } }; });
addToBindingsCache('template: \'dxrd-svg-operations-add_calcfield\'', function ($context, $element) { return { 'template': function () { return 'dxrd-svg-operations-add_calcfield'; } }; });
addToBindingsCache('template: \'dxrd-svg-operations-add_datasource\'', function ($context, $element) { return { 'template': function () { return 'dxrd-svg-operations-add_datasource'; } }; });
addToBindingsCache('template: \'dxrd-svg-operations-add_query\'', function ($context, $element) { return { 'template': function () { return 'dxrd-svg-operations-add_query'; } }; });
addToBindingsCache('template: \'dxrd-svg-operations-arrowdown\'', function ($context, $element) { return { 'template': function () { return 'dxrd-svg-operations-arrowdown'; } }; });
addToBindingsCache('template: \'dxrd-svg-operations-arrowup\'', function ($context, $element) { return { 'template': function () { return 'dxrd-svg-operations-arrowup'; } }; });
addToBindingsCache('template: \'dxrd-svg-operations-ascending\'', function ($context, $element) { return { 'template': function () { return 'dxrd-svg-operations-ascending'; } }; });
addToBindingsCache('template: \'dxrd-svg-operations-descending\'', function ($context, $element) { return { 'template': function () { return 'dxrd-svg-operations-descending'; } }; });
addToBindingsCache('template: \'dxrd-svg-operations-edit\'', function ($context, $element) { return { 'template': function () { return 'dxrd-svg-operations-edit'; } }; });
addToBindingsCache('template: \'dxrd-svg-operations-movedown\'', function ($context, $element) { return { 'template': function () { return 'dxrd-svg-operations-movedown'; } }; });
addToBindingsCache('template: \'dxrd-svg-operations-moveleft\'', function ($context, $element) { return { 'template': function () { return 'dxrd-svg-operations-moveleft'; } }; });
addToBindingsCache('template: \'dxrd-svg-operations-moveleft_all\'', function ($context, $element) { return { 'template': function () { return 'dxrd-svg-operations-moveleft_all'; } }; });
addToBindingsCache('template: \'dxrd-svg-operations-moveright\'', function ($context, $element) { return { 'template': function () { return 'dxrd-svg-operations-moveright'; } }; });
addToBindingsCache('template: \'dxrd-svg-operations-moveright_all\'', function ($context, $element) { return { 'template': function () { return 'dxrd-svg-operations-moveright_all'; } }; });
addToBindingsCache('template: \'dxrd-svg-operations-moveup\'', function ($context, $element) { return { 'template': function () { return 'dxrd-svg-operations-moveup'; } }; });
addToBindingsCache('template: \'dxrd-svg-operations-rebuild_schema\'', function ($context, $element) { return { 'template': function () { return 'dxrd-svg-operations-rebuild_schema'; } }; });
addToBindingsCache('template: \'dxrd-svg-operations-recycle_bin\'', function ($context, $element) { return { 'template': function () { return 'dxrd-svg-operations-recycle_bin'; } }; });
addToBindingsCache('template: \'dxrd-svg-operations-recycle_bin_xl\'', function ($context, $element) { return { 'template': function () { return 'dxrd-svg-operations-recycle_bin_xl'; } }; });
addToBindingsCache('template: \'dxrd-svg-operations-remove\'', function ($context, $element) { return { 'template': function () { return 'dxrd-svg-operations-remove'; } }; });
addToBindingsCache('template: \'dxrd-svg-operations-rename\'', function ($context, $element) { return { 'template': function () { return 'dxrd-svg-operations-rename'; } }; });
addToBindingsCache('template: \'dxrd-svg-operations-unsorted\'', function ($context, $element) { return { 'template': function () { return 'dxrd-svg-operations-unsorted'; } }; });
addToBindingsCache('template: \'dxrd-svg-properties-borders-all\'', function ($context, $element) { return { 'template': function () { return 'dxrd-svg-properties-borders-all'; } }; });
addToBindingsCache('template: \'dxrd-svg-properties-borders-bottom\'', function ($context, $element) { return { 'template': function () { return 'dxrd-svg-properties-borders-bottom'; } }; });
addToBindingsCache('template: \'dxrd-svg-properties-borders-left\'', function ($context, $element) { return { 'template': function () { return 'dxrd-svg-properties-borders-left'; } }; });
addToBindingsCache('template: \'dxrd-svg-properties-borders-none\'', function ($context, $element) { return { 'template': function () { return 'dxrd-svg-properties-borders-none'; } }; });
addToBindingsCache('template: \'dxrd-svg-properties-borders-right\'', function ($context, $element) { return { 'template': function () { return 'dxrd-svg-properties-borders-right'; } }; });
addToBindingsCache('template: \'dxrd-svg-properties-borders-top\'', function ($context, $element) { return { 'template': function () { return 'dxrd-svg-properties-borders-top'; } }; });
addToBindingsCache('template: \'dxrd-svg-properties-propertiesmenu\'', function ($context, $element) { return { 'template': function () { return 'dxrd-svg-properties-propertiesmenu'; } }; });
addToBindingsCache('template: \'dxrd-svg-properties-propertyexpression\'', function ($context, $element) { return { 'template': function () { return 'dxrd-svg-properties-propertyexpression'; } }; });
addToBindingsCache('template: \'dxrd-svg-properties-search\'', function ($context, $element) { return { 'template': function () { return 'dxrd-svg-properties-search'; } }; });
addToBindingsCache('template: \'dxrd-svg-properties-sortingbyalphabet\'', function ($context, $element) { return { 'template': function () { return 'dxrd-svg-properties-sortingbyalphabet'; } }; });
addToBindingsCache('template: \'dxrd-svg-properties-sortingbygroups\'', function ($context, $element) { return { 'template': function () { return 'dxrd-svg-properties-sortingbygroups'; } }; });
addToBindingsCache('template: \'dxrd-svg-properties-tasksmarttag\'', function ($context, $element) { return { 'template': function () { return 'dxrd-svg-properties-tasksmarttag'; } }; });
addToBindingsCache('template: \'dxrd-svg-properties-textAlignment-bottom\'', function ($context, $element) { return { 'template': function () { return 'dxrd-svg-properties-textAlignment-bottom'; } }; });
addToBindingsCache('template: \'dxrd-svg-properties-textAlignment-center\'', function ($context, $element) { return { 'template': function () { return 'dxrd-svg-properties-textAlignment-center'; } }; });
addToBindingsCache('template: \'dxrd-svg-properties-textAlignment-justify\'', function ($context, $element) { return { 'template': function () { return 'dxrd-svg-properties-textAlignment-justify'; } }; });
addToBindingsCache('template: \'dxrd-svg-properties-textAlignment-left\'', function ($context, $element) { return { 'template': function () { return 'dxrd-svg-properties-textAlignment-left'; } }; });
addToBindingsCache('template: \'dxrd-svg-properties-textAlignment-middle\'', function ($context, $element) { return { 'template': function () { return 'dxrd-svg-properties-textAlignment-middle'; } }; });
addToBindingsCache('template: \'dxrd-svg-properties-textAlignment-right\'', function ($context, $element) { return { 'template': function () { return 'dxrd-svg-properties-textAlignment-right'; } }; });
addToBindingsCache('template: \'dxrd-svg-properties-textAlignment-top\'', function ($context, $element) { return { 'template': function () { return 'dxrd-svg-properties-textAlignment-top'; } }; });
addToBindingsCache('template: \'dxrd-svg-queryBuilder-aggregate\'', function ($context, $element) { return { 'template': function () { return 'dxrd-svg-queryBuilder-aggregate'; } }; });
addToBindingsCache('template: \'dxrd-svg-queryBuilder-data_preview\'', function ($context, $element) { return { 'template': function () { return 'dxrd-svg-queryBuilder-data_preview'; } }; });
addToBindingsCache('template: \'dxrd-svg-queryBuilder-group_by\'', function ($context, $element) { return { 'template': function () { return 'dxrd-svg-queryBuilder-group_by'; } }; });
addToBindingsCache('template: \'dxrd-svg-queryBuilder-select_statment\'', function ($context, $element) { return { 'template': function () { return 'dxrd-svg-queryBuilder-select_statment'; } }; });
addToBindingsCache('template: \'dxrd-svg-queryBuilder-sorting_asc\'', function ($context, $element) { return { 'template': function () { return 'dxrd-svg-queryBuilder-sorting_asc'; } }; });
addToBindingsCache('template: \'dxrd-svg-queryBuilder-sorting_desc\'', function ($context, $element) { return { 'template': function () { return 'dxrd-svg-queryBuilder-sorting_desc'; } }; });
addToBindingsCache('template: \'dxrd-svg-tabs-description_info\'', function ($context, $element) { return { 'template': function () { return 'dxrd-svg-tabs-description_info'; } }; });
addToBindingsCache('template: \'dxrd-svg-tabs-properties\'', function ($context, $element) { return { 'template': function () { return 'dxrd-svg-tabs-properties'; } }; });
addToBindingsCache('template: \'dxrd-svg-toolbar-copy\'', function ($context, $element) { return { 'template': function () { return 'dxrd-svg-toolbar-copy'; } }; });
addToBindingsCache('template: \'dxrd-svg-toolbar-cut\'', function ($context, $element) { return { 'template': function () { return 'dxrd-svg-toolbar-cut'; } }; });
addToBindingsCache('template: \'dxrd-svg-toolbar-delete\'', function ($context, $element) { return { 'template': function () { return 'dxrd-svg-toolbar-delete'; } }; });
addToBindingsCache('template: \'dxrd-svg-toolbar-paste\'', function ($context, $element) { return { 'template': function () { return 'dxrd-svg-toolbar-paste'; } }; });
addToBindingsCache('template: \'dxrd-svg-toolbar-redo\'', function ($context, $element) { return { 'template': function () { return 'dxrd-svg-toolbar-redo'; } }; });
addToBindingsCache('template: \'dxrd-svg-toolbar-undo\'', function ($context, $element) { return { 'template': function () { return 'dxrd-svg-toolbar-undo'; } }; });
addToBindingsCache('template: \'dxrd-svg-toolbar-validate\'', function ($context, $element) { return { 'template': function () { return 'dxrd-svg-toolbar-validate'; } }; });
addToBindingsCache('template: \'dxrd-svg-toolbar-zoomin\'', function ($context, $element) { return { 'template': function () { return 'dxrd-svg-toolbar-zoomin'; } }; });
addToBindingsCache('template: \'dxrd-svg-toolbar-zoomout\'', function ($context, $element) { return { 'template': function () { return 'dxrd-svg-toolbar-zoomout'; } }; });
addToBindingsCache('template: \'dxrd-svg-wizard-Download\'', function ($context, $element) { return { 'template': function () { return 'dxrd-svg-wizard-Download'; } }; });
addToBindingsCache('template: \'dxrd-svg-wizard-expressions\'', function ($context, $element) { return { 'template': function () { return 'dxrd-svg-wizard-expressions'; } }; });
addToBindingsCache('template: \'dxrd-svg-wizard-FederationDataSource\'', function ($context, $element) { return { 'template': function () { return 'dxrd-svg-wizard-FederationDataSource'; } }; });
addToBindingsCache('template: \'dxrd-svg-wizard-JsonDataSource\'', function ($context, $element) { return { 'template': function () { return 'dxrd-svg-wizard-JsonDataSource'; } }; });
addToBindingsCache('template: \'dxrd-svg-wizard-NoDataSource\'', function ($context, $element) { return { 'template': function () { return 'dxrd-svg-wizard-NoDataSource'; } }; });
addToBindingsCache('template: \'dxrd-svg-wizard-ObjectDataSource\'', function ($context, $element) { return { 'template': function () { return 'dxrd-svg-wizard-ObjectDataSource'; } }; });
addToBindingsCache('template: \'dxrd-svg-wizard-SqlDataSource\'', function ($context, $element) { return { 'template': function () { return 'dxrd-svg-wizard-SqlDataSource'; } }; });
