﻿/**
* DevExpress Analytics (license\_license.tools.js)
* Version:  24.2.7
* Build date: Apr 29, 2025
* Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
* License: https://www.devexpress.com/Support/EULAs/universal.xml
*/
import { version } from '../analytics-version';
import TrialPanel from 'devextreme/core/trial_panel';
const { showTrialPanel, registerTrialPanelComponents } = TrialPanel;
registerTrialPanelComponents();
export function _addLicenseTrigger(licenseOptions) {
    if (licenseOptions && !licenseOptions.isLicensed) {
        showTrialPanel(licenseOptions.link, version);
    }
}
