﻿/**
* DevExpress Analytics (property-grid\_propertiesAccessibilityProvider.d.ts)
* Version:  24.2.7
* Build date: Apr 29, 2025
* Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
* License: https://www.devexpress.com/Support/EULAs/universal.xml
*/
import { Editor } from './widgets/editor';
export interface IPropertiesAccessibilityProvider {
    isPropertyVisible(editor: Editor): any;
    isPropertyDisabled(editor: Editor): any;
}
export declare class PropertiesAccessibilityProvider implements IPropertiesAccessibilityProvider {
    isPropertyVisible(editor: Editor): boolean;
    isPropertyDisabled(editor: Editor): any;
    private _calculateAccessibilityByPropertyInfo;
}
export declare const defaultAccessibilityProvider: PropertiesAccessibilityProvider;
