﻿/**
* DevExpress Analytics (property-grid\bindings.d.ts)
* Version:  24.2.7
* Build date: Apr 29, 2025
* Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
* License: https://www.devexpress.com/Support/EULAs/universal.xml
*/
import * as ko from 'knockout';
export type AccordionOptions = {
    collapsed: ko.Observable<boolean> | ko.Computed<boolean> | boolean;
    setCollapsedChangedEvent?: (callback: () => void) => () => void;
    setCollapsed?: (val: boolean) => void;
    getCollapsed?: () => boolean;
    timeout?: number;
    alwaysShow?: ko.Observable<boolean> | ko.Computed<boolean> | boolean;
};
