﻿/**
* DevExpress Analytics (property-grid\localization\_localization.d.ts)
* Version:  24.2.7
* Build date: Apr 29, 2025
* Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
* License: https://www.devexpress.com/Support/EULAs/universal.xml
*/
import { DxDeferred, DxPromise } from '../../core/utils/_jqueryUtils';
export declare function loadMessages(_messages: {
    [key: string]: string;
}): void;
export declare function getLocalization(text: string, id?: string, _removeWinSymbols?: boolean): any;
export declare const removeWinSymbols = true;
export declare const Globalize: any;
export declare const messages: {};
export declare const custom_localization_values: {};
export declare function selectPlaceholder(): any;
export declare function noDataText(): any;
export declare function searchPlaceholder(): any;
export declare function resolveFromPromises<T>(promises: DxPromise<any>[], createModel: () => T): DxDeferred<T>;
export declare function isCustomizedWithUpdateLocalizationMethod(text: string): boolean;
export declare function localizeWithUpdateLocalizationMethod(oldText: string): string | boolean;
export declare function localize(val: string): any;
export declare function formatDate(val: any): string;
export declare function formatTime(val: any): string;
export declare function parseDate(val: any, useDefault?: boolean, format?: string): Date;
export declare function getWeekFirstDay(): number;
