﻿/**
* DevExpress Analytics (property-grid\widgets\guideditor.js)
* Version:  24.2.7
* Build date: Apr 29, 2025
* Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
* License: https://www.devexpress.com/Support/EULAs/universal.xml
*/
import { Editor } from './editor';
import { guidValidationRules, guidRequiredValidationRules } from './internal/_internal';
export class GuidEditor extends Editor {
    _getEditorValidationRules() {
        return (super._getEditorValidationRules() || []).concat(guidValidationRules).concat((this.editorOptions?.isNullable) ? [] : guidRequiredValidationRules);
    }
}
