﻿/**
* DevExpress Analytics (query-builder\binding\jsQueryBuilderBinding.d.ts)
* Version:  24.2.7
* Build date: Apr 29, 2025
* Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
* License: https://www.devexpress.com/Support/EULAs/universal.xml
*/
import { DxAnalyticsComponentCommon, JSDesignerBindingCommon } from '../../core/binding/_jsDesignerBindingCommon';
import { IQueryBuilderModel } from '../_queryBuilderModel';
import { JSQueryBuilder } from './jsQueryBuilder';
import { IQueryBuilderOptions } from './jsQueryBuilderBindingOptions';
import { DxDeferred } from '../../core/utils/_jqueryUtils';
export declare class JSQueryBuilderBinding extends JSDesignerBindingCommon<JSQueryBuilder, IQueryBuilderOptions> {
    private options;
    private _deferreds;
    private _callbacks;
    _templateHtml: string;
    private _applyBindings;
    private _initializeCallbacks;
    _createModel(element: any): DxDeferred<IQueryBuilderModel>;
    constructor(options: IQueryBuilderOptions, customEventRaiser?: any);
    dispose(): void;
    applyBindings(element: HTMLElement): void;
}
export declare class DxQueryBuilder extends DxAnalyticsComponentCommon<IQueryBuilderOptions> {
    getBindingName(): string;
}
