﻿/**
* DevExpress Analytics (query-builder\dataSource\_dbSchema.js)
* Version:  24.2.7
* Build date: Apr 29, 2025
* Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
* License: https://www.devexpress.com/Support/EULAs/universal.xml
*/
export function deserializeToCollection(model, createItem, _collection) {
    const collection = _collection || [];
    if (model) {
        model.forEach((value) => {
            collection.push(createItem(value));
        });
    }
    return collection;
}
