﻿/**
* DevExpress Analytics (query-builder\dataSource\_dbSchemaProvider.d.ts)
* Version:  24.2.7
* Build date: Apr 29, 2025
* Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
* License: https://www.devexpress.com/Support/EULAs/universal.xml
*/
import { RequestWrapper } from '../utils/requestwrapper';
import { SqlDataConnection } from './sql/sqlDataConnection';
import { DBTable } from './dbTable';
import { DBSchema } from './dbSchema';
import { DBStoredProcedure } from './dbStoredProcedure';
import { DxPromise } from '../../core/utils/_jqueryUtils';
export declare function getDBSchemaCallback({ requestWrapper, connection, tables, getTables, getViews }: {
    requestWrapper: RequestWrapper;
    connection: SqlDataConnection;
    tables: DBTable[];
    getViews?: boolean;
    getTables?: boolean;
}): DxPromise<DBSchema>;
export declare function getDBStoredProceduresCallback(requestWrapper: RequestWrapper, connection: SqlDataConnection): DxPromise<DBStoredProcedure[]>;
