﻿/**
* DevExpress Analytics (query-builder\dataSource\federation\federationSource.d.ts)
* Version:  24.2.7
* Build date: Apr 29, 2025
* Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
* License: https://www.devexpress.com/Support/EULAs/universal.xml
*/
import * as ko from 'knockout';
import { ISerializationInfoArray } from '../../../serializer/serializationInfo';
import { Disposable } from '../../../serializer/disposable';
export declare class FederationSource extends Disposable {
    constructor(model: any, serializer?: any, pathParts?: string[], sourceName?: string);
    getInfo(): ISerializationInfoArray;
    getDataSourceName(): string;
    getPath(): string[];
    hasDataMember(): boolean;
    sourceName: ko.Observable<string> | ko.Computed<string>;
    dataMember: ko.Observable<string> | ko.Computed<string>;
}
