﻿/**
* DevExpress Analytics (query-builder\utils\_queryBuilderTreeListController.js)
* Version:  24.2.7
* Build date: Apr 29, 2025
* Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
* License: https://www.devexpress.com/Support/EULAs/universal.xml
*/
import { TreeListController } from '../../widgets/treelist/_treelistController';
export class QueryBuilderTreeListController extends TreeListController {
    constructor(undoEngine, query, dragDropHandler) {
        super();
        this.undoEngine = undoEngine;
        this.query = query;
        this._dragDropHandler = dragDropHandler.getDropCallback(undoEngine, true);
    }
    dblClickHandler(item) {
        this.undoEngine().start();
        this._dragDropHandler(item, this.query());
        this.undoEngine().end();
    }
}
