﻿/**
* DevExpress Analytics (query-builder\wizard\internal\_selectQuerySqlTextProvider.d.ts)
* Version:  24.2.7
* Build date: Apr 29, 2025
* Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
* License: https://www.devexpress.com/Support/EULAs/universal.xml
*/
import { SqlDataConnection } from '../../dataSource/sql/sqlDataConnection';
import { ISelectStatementResponse } from '../../utils/requestwrapper';
import { TableQuery } from '../../dataSource/sql/tableQuery';
import { DxPromise } from '../../../core/utils/_jqueryUtils';
export declare class SelectQuerySqlTextProvider {
    private _selectStatementCallback;
    private _connection;
    constructor(_selectStatementCallback: (connection: SqlDataConnection, queryJSON: string) => DxPromise<ISelectStatementResponse>, _connection: () => SqlDataConnection);
    getQuerySqlText(newQuery: TableQuery): DxPromise<ISelectStatementResponse>;
}
