﻿/**
* DevExpress Analytics (query-builder\wizard\internal\_wizardPageSectionFactory.js)
* Version:  24.2.7
* Build date: Apr 29, 2025
* Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
* License: https://www.devexpress.com/Support/EULAs/universal.xml
*/
import { PageFactory } from '../pageFactory';
export class WizardPageSectionFactory extends PageFactory {
    registerMetadata(pageId, metadata) {
        super.registerMetadata(pageId, metadata);
        if (metadata.position === undefined)
            metadata.position = Object.keys(this.metadata).length - 1;
        if (metadata.recreate === undefined)
            metadata.recreate = false;
        if (metadata.disabledText === undefined)
            metadata.disabledText = '';
    }
}
