﻿/**
* DevExpress Analytics (query-builder\wizard\internal\federationDataSource\_federationTransformResultSchemaProvider.d.ts)
* Version:  24.2.7
* Build date: Apr 29, 2025
* Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
* License: https://www.devexpress.com/Support/EULAs/universal.xml
*/
import * as ko from 'knockout';
import { IPathRequest } from '../../../../widgets/common/pathRequest';
import { IDataMemberInfo, IItemsProvider } from '../../../../widgets/utils';
import { DxPromise } from '../../../../core/utils/_jqueryUtils';
export declare class TransformResultSchemaProvider implements IItemsProvider {
    constructor(itemsProvider: IItemsProvider, transformData: ko.Observable<any[]>, currentPath: ko.Observable<string[]>);
    dispose: () => void;
    getItems: (path: IPathRequest) => DxPromise<IDataMemberInfo[]>;
}
