﻿/**
* DevExpress Analytics (query-builder\wizard\internal\wizardPageSectionMetadata.d.ts)
* Version:  24.2.7
* Build date: Apr 29, 2025
* Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
* License: https://www.devexpress.com/Support/EULAs/universal.xml
*/
import { IWizardPage } from '../pages/IWizardPage';
import { IWizardPageMetadata } from '../pages/wizardPageMetadata';
export interface IWizardPageSectionMetadata<T extends IWizardPage> extends IWizardPageMetadata<T> {
    position?: number;
    disabledText?: string;
    recreate?: boolean;
    onChange?: () => void;
    required?: boolean;
}
