﻿/**
* DevExpress Analytics (query-builder\wizard\pages\__wrappedWizardPage.d.ts)
* Version:  24.2.7
* Build date: Apr 29, 2025
* Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
* License: https://www.devexpress.com/Support/EULAs/universal.xml
*/
import { DxPromise } from '../../../core/utils/_jqueryUtils';
import { Disposable } from '../../../serializer/disposable';
import { IWizardPage } from './IWizardPage';
export declare class _WrappedWizardPage extends Disposable {
    pageId: string;
    page: IWizardPage;
    template: string;
    description?: string;
    dispose(): void;
    resetCommitedState(): void;
    private _lastCommitedState;
    private _isInitialized;
    private _initDef;
    isChanged: boolean;
    onChange: (callback: () => void) => void;
    constructor(pageId: string, page: IWizardPage, template: string, description?: string);
    commit(): DxPromise<any>;
    initialize(state: any, force?: boolean, stateChanged?: boolean): DxPromise<any>;
}
