﻿/**
* DevExpress Analytics (query-builder\wizard\pages\objectDataSourceWizard\chooseObjectDataSourceDataMembersPage.d.ts)
* Version:  24.2.7
* Build date: Apr 29, 2025
* Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
* License: https://www.devexpress.com/Support/EULAs/universal.xml
*/
/// <reference types="jquery" />
import { IObjectDataSourceWizardState } from '../../dataSourceWizardState';
import { RequestWrapper } from '../../../utils/requestwrapper';
import { ChooseObjectDataMembers } from '../../internal/objectDataSource/_chooseObjectDataMembers';
import { FullscreenWizardPageFactory } from '../../fullscreen/fullscreenWizardPageFactory';
import { _DataSourceWizardOptions } from '../../dataSourceWizard';
import { WizardPageBase } from '../wizardPageBase';
export declare class ChooseObjectDataSourceDataMembersPage extends WizardPageBase<IObjectDataSourceWizardState, IObjectDataSourceWizardState> {
    private _requestWrapper;
    constructor(_requestWrapper?: RequestWrapper);
    private _objectDataSource;
    private _type;
    private _ctor;
    _chooseObjectDataMember: ChooseObjectDataMembers;
    initialize(state: IObjectDataSourceWizardState): JQuery.Promise<any, any, any>;
    canNext(): boolean;
    canFinish(): boolean;
    commit(): JQuery.Promise<IObjectDataSourceWizardState, any, any>;
    private get _selectedDataMember();
    private get _needParametersPage();
}
export declare function _registerChooseObjectDataSourceDataMembersPage(factory: FullscreenWizardPageFactory, dataSourceWizardOptions: _DataSourceWizardOptions): void;
