﻿/**
* DevExpress Analytics (widgets\common\_displayNameProvider.d.ts)
* Version:  24.2.7
* Build date: Apr 29, 2025
* Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
* License: https://www.devexpress.com/Support/EULAs/universal.xml
*/
import { IDisplayExpressionConverter, IDisplayNameProvider } from './displayNameProvider';
import { DxPromise } from '../../core/utils/_jqueryUtils';
export declare class DisplayExpressionConverter implements IDisplayExpressionConverter {
    private displayNameProvider;
    private _replaceNames;
    constructor(displayNameProvider: IDisplayNameProvider);
    toDisplayExpression(path: string, expression: string): DxPromise<string>;
    toRealExpression(path: string, expression: string): DxPromise<any>;
}
