﻿/**
* DevExpress Analytics (widgets\common\displayNameProvider.d.ts)
* Version:  24.2.7
* Build date: Apr 29, 2025
* Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
* License: https://www.devexpress.com/Support/EULAs/universal.xml
*/
import { DxPromise } from '../../core/utils/_jqueryUtils';
export interface IDisplayExpressionConverter {
    toDisplayExpression(path: string, expression: string): DxPromise<string>;
    toRealExpression(path: string, expression: string): DxPromise<string>;
}
export interface IDisplayNameProvider {
    getDisplayNameByPath: (path: string, dataMember: string) => DxPromise<string>;
    getRealName: (path: string, displayDataMember: string) => DxPromise<string>;
}
