﻿/**
* DevExpress Analytics (widgets\expressioneditor\tools\_operatorNames.js)
* Version:  24.2.7
* Build date: Apr 29, 2025
* Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
* License: https://www.devexpress.com/Support/EULAs/universal.xml
*/
export const operatorNames = [
    { text: '+', image: 'addition', descriptionStringId: 'ExpressionEditorStringId.Operator_Plus' },
    { text: '-', image: 'subtraction', descriptionStringId: 'ExpressionEditorStringId.Operator_Minus' },
    { text: '*', image: 'multiplication', descriptionStringId: 'ExpressionEditorStringId.Operator_Multiply' },
    { text: '/', image: 'division', descriptionStringId: 'ExpressionEditorStringId.Operator_Divide' },
    { text: '%', image: 'modulus', hasSeparator: true, descriptionStringId: 'ExpressionEditorStringId.Operator_Modulo' },
    { text: '()', image: 'parenthesis', hasSeparator: true },
    { text: '|', descriptionStringId: 'ExpressionEditorStringId.Operator_BitwiseOr' },
    { text: '&', descriptionStringId: 'ExpressionEditorStringId.Operator_BitwiseAnd' },
    { text: '^', descriptionStringId: 'ExpressionEditorStringId.Operator_BitwiseXor' },
    { text: '==', image: 'equal', descriptionStringId: 'ExpressionEditorStringId.Operator_Equal' },
    { text: '!=', image: 'not_equal', descriptionStringId: 'ExpressionEditorStringId.Operator_NotEqual' },
    { text: '<', image: 'less', descriptionStringId: 'ExpressionEditorStringId.Operator_Less' },
    { text: '<=', image: 'less_or_equal', descriptionStringId: 'ExpressionEditorStringId.Operator_LessOrEqual' },
    { text: '>=', image: 'greater_or_equal', descriptionStringId: 'ExpressionEditorStringId.Operator_GreaterOrEqual' },
    { text: '>', hasSeparator: true, image: 'greater', descriptionStringId: 'ExpressionEditorStringId.Operator_Greater' },
    { text: 'In', descriptionStringId: 'ExpressionEditorStringId.Operator_In' },
    { text: 'Like', descriptionStringId: 'ExpressionEditorStringId.Operator_Like' },
    { text: 'Between', descriptionStringId: 'ExpressionEditorStringId.Operator_Between' },
    { text: 'And', image: 'and', descriptionStringId: 'ExpressionEditorStringId.Operator_And' },
    { text: 'Or', image: 'or', descriptionStringId: 'ExpressionEditorStringId.Operator_Or' },
    { text: 'Not', image: 'not', descriptionStringId: 'ExpressionEditorStringId.Operator_Not' }
];
