﻿/**
* DevExpress Analytics (widgets\filtereditor\helpers\_codeCompletor.d.ts)
* Version:  24.2.7
* Build date: Apr 29, 2025
* Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
* License: https://www.devexpress.com/Support/EULAs/universal.xml
*/
import { CodeCompletor, ICodeCompletorOptions } from '../../common/_codeCompletor';
export declare class FilterEditorCodeCompletor extends CodeCompletor {
    filterEditorAvailable: {
        operators: Array<{
            name: string;
            insertVal: string;
            paramCount: number;
        }>;
        aggregate: Array<{
            name: string;
            insertVal: string;
        }>;
        functions: Array<{
            name: string;
            insertVal: string;
        }>;
    };
    constructor(options: ICodeCompletorOptions);
    getFunctionsCompletions(): any[];
    getAggregateCompletions(): any[];
    getOperatorCompletions(prefix: any): any[];
}
