﻿/**
* DevExpress Analytics (widgets\filtereditor\helpers\_treelistController.d.ts)
* Version:  24.2.7
* Build date: Apr 29, 2025
* Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
* License: https://www.devexpress.com/Support/EULAs/universal.xml
*/
import * as ko from 'knockout';
import { ITreeListController } from '../../treelist/_treelistController';
import { IDataMemberInfo } from '../../utils';
import { TreeListItemViewModel } from '../../treelist/_treelistItem';
export declare class FilterEditorTreeListController implements ITreeListController {
    selectedItem: ko.Observable<IDataMemberInfo>;
    constructor(selectedItem: ko.Observable<IDataMemberInfo>);
    itemsFilter(item: IDataMemberInfo): boolean;
    hasItems(item: IDataMemberInfo): boolean;
    canSelect(value: TreeListItemViewModel): boolean;
    select(value: TreeListItemViewModel): void;
    dispose(): void;
    isDraggable(item: TreeListItemViewModel): boolean;
}
