﻿/**
* DevExpress Analytics (widgets\filtereditor\operators\binaryOperandSurface.d.ts)
* Version:  24.2.7
* Build date: Apr 29, 2025
* Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
* License: https://www.devexpress.com/Support/EULAs/universal.xml
*/
import * as ko from 'knockout';
import { CriteriaOperatorSurface } from './criteriaOperatorSurface';
import { BinaryOperator } from '../../criteria/operators/binary';
import { CriteriaOperator } from '../../criteria/operators/criteriaOperator';
export declare class BinaryOperandSurface extends CriteriaOperatorSurface<BinaryOperator> {
    constructor(operator: BinaryOperator, parent: any, fieldListProvider: any, path: any);
    get leftPart(): CriteriaOperatorSurface<CriteriaOperator>;
    get rightPart(): any;
    dispose(): void;
    contentTemplateName: string;
    leftOperand: ko.Observable<any>;
    rightOperand: ko.Observable<any>;
}
