﻿/**
* DevExpress Analytics (widgets\internal\_popupwithautoheight.js)
* Version:  24.2.7
* Build date: Apr 29, 2025
* Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
* License: https://www.devexpress.com/Support/EULAs/universal.xml
*/
import registerComponent from 'devextreme/core/component_registrator';
import dxPopup from 'devextreme/ui/popup';
export class dxPopupWithAutoHeight extends dxPopup {
    _setContentHeight() {
        this['_$popupContent'].css({
            height: '100%'
        });
    }
}
registerComponent('dxPopupWithAutoHeight', dxPopupWithAutoHeight);
