﻿/**
* DevExpress Analytics (widgets\treelist\_treeListSearchOptions.js)
* Version:  24.2.7
* Build date: Apr 29, 2025
* Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
* License: https://www.devexpress.com/Support/EULAs/universal.xml
*/
import { SearchMode } from '../../property-grid/widgets/internal/_utils';
export class TreeListSearchOptions {
    constructor() {
        this.globalMatch = true;
        this.autoLoadItems = true;
        this.canUseRegex = false;
        this.caseSensitive = false;
        this.searchMode = SearchMode.contains;
        this.searchTimeout = 500;
        this.searchExpr = 'displayName';
        this.searchBoxTemplate = 'dx-treelist-searchbox';
    }
}
