﻿/**
* DevExpress Analytics (widgets\treelist\_treeListSearchViewModel.d.ts)
* Version:  24.2.7
* Build date: Apr 29, 2025
* Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
* License: https://www.devexpress.com/Support/EULAs/universal.xml
*/
import * as ko from 'knockout';
import { TreeListRootItemViewModel } from './_treelistItem';
import { Disposable } from '../../serializer/disposable';
import { ITreeListController } from './_treelistController';
export declare class TreeListSearchViewModel extends Disposable {
    static createController(element: Element, controllers: ITreeListController[], modelType?: typeof TreeListSearchViewModel, templateName?: string): void;
    private _processedNodes;
    private _currentProcess;
    dispose(): void;
    clearProcess(): void;
    valueChanged(newValue: string): void;
    private expandNodePath;
    addController(root: TreeListRootItemViewModel): void;
    constructor();
    searchTimeout: number;
    value: ko.Computed;
    _roots: TreeListRootItemViewModel[];
    searchPlaceholder: () => string;
}
