﻿/**
* DevExpress Analytics (accessibility\_controlElementBase.d.ts)
* Version:  24.2.7
* Build date: Apr 29, 2025
* Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
* License: https://www.devexpress.com/Support/EULAs/universal.xml
*/
import { Disposable } from '../serializer/disposable';
export declare class AccessibilityControlElementBase extends Disposable {
    element: HTMLElement;
    private _eventListeners;
    dispose(): void;
    constructor(element: HTMLElement);
    addListener(element: HTMLElement, eventType: string, handler: any): void;
    setTabIndex(index: string): void;
    setFocus(): void;
}
