﻿/**
* DevExpress Analytics (core\internal\_ajaxRequestManager.d.ts)
* Version:  24.2.7
* Build date: Apr 29, 2025
* Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
* License: https://www.devexpress.com/Support/EULAs/universal.xml
*/
/// <reference types="jquery" />
import { DxPromise } from '../utils/_jqueryUtils';
import { IRequestManager } from './_requestManager';
export declare class AjaxRequestManager implements IRequestManager<JQueryAjaxSettings> {
    getAjaxSettings: () => JQueryAjaxSettings;
    getRequestBody: (data: any) => any;
    constructor(ajaxSttingsFn: () => JQueryAjaxSettings, getRequestBodyFn: (data: any) => any);
    sendRequest(settings: JQueryAjaxSettings): DxPromise<any>;
    _prepareRequestSettings(settings: JQueryAjaxSettings): JQueryAjaxSettings;
}
