﻿/**
* DevExpress Analytics (core\internal\_hoverInfo.d.ts)
* Version:  24.2.7
* Build date: Apr 29, 2025
* Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
* License: https://www.devexpress.com/Support/EULAs/universal.xml
*/
export interface IHoverInfo {
    isOver: boolean;
    x: number;
    y: number;
    offsetX?: number;
    offsetY?: number;
    isNotDropTarget?: boolean;
}
export declare class HoverInfo implements IHoverInfo {
    private _x;
    private _y;
    isOver: boolean;
    get x(): number;
    set x(newX: number);
    get y(): number;
    set y(newY: number);
}
