﻿/**
* DevExpress Analytics (core\internal\_validation.d.ts)
* Version:  24.2.7
* Build date: Apr 29, 2025
* Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
* License: https://www.devexpress.com/Support/EULAs/universal.xml
*/
type ValidationRule = {
    type: string;
    validationCallback?: (options: any) => boolean;
    readonly message: string;
};
export declare function validateName(nameCandidate: string): boolean;
export declare function replaceInvalidSymbols(text: string): string;
export declare const nameValidationRules: ValidationRule[];
export {};
