﻿/**
* DevExpress Analytics (core\internal\dx-versions.js)
* Version:  24.2.7
* Build date: Apr 29, 2025
* Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
* License: https://www.devexpress.com/Support/EULAs/universal.xml
*/
import * as devextremeVersion from 'devextreme/core/version';
import { version as clientVersions } from '../../analytics-version';
import { dxtTemplate } from './dxtTemplate';
import dxtConfig from 'devextreme/core/config';
export const dxversions = {
    analytics: clientVersions,
    devextreme: devextremeVersion.version || devextremeVersion
};
if (dxtTemplate()) {
    dxtConfig(dxtTemplate());
}
