﻿/**
* DevExpress Analytics (core\tools\_actionListBase.viewModel.d.ts)
* Version:  24.2.7
* Build date: Apr 29, 2025
* Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
* License: https://www.devexpress.com/Support/EULAs/universal.xml
*/
/// <reference types="jquery" />
import { IAction, IActionViewModel } from '../../widgets/utils';
import { ActionListsBase } from './_actionListBase';
import { IViewModel } from '../../serializer/native/models/interfaces.model';
export interface IActionListBaseViewModel extends IViewModel {
    toolbarItems: IActionViewModel[];
    processShortcut: (e: JQueryKeyEventObject) => void;
}
export declare function createActionListBaseViewModel(this: ActionListsBase, base: IViewModel): IActionListBaseViewModel;
export declare function createBaseActionViewModel(this: ActionListsBase, action: IAction, index: number): IActionViewModel;
