﻿/**
* DevExpress Analytics (core\tools\toolbox.d.ts)
* Version:  24.2.7
* Build date: Apr 29, 2025
* Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
* License: https://www.devexpress.com/Support/EULAs/universal.xml
*/
import * as ko from 'knockout';
export interface IToolboxItemInfo {
    '@ControlType': string;
    index: number;
    canDrop?: any;
    group?: string;
    displayName?: string;
}
export declare class ToolboxItem {
    constructor(info: IToolboxItemInfo);
    disabled: ko.Observable<boolean>;
    info: IToolboxItemInfo;
    get type(): string;
    get imageClassName(): string;
    get imageTemplateName(): string;
    get index(): number;
    get displayName(): string;
}
