﻿/**
* DevExpress Analytics (core\widgets\_fieldlistpicker.d.ts)
* Version:  24.2.7
* Build date: Apr 29, 2025
* Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
* License: https://www.devexpress.com/Support/EULAs/universal.xml
*/
import 'devextreme/ui/drop_down_box';
import dxDropDownBox from 'devextreme/ui/drop_down_box';
import * as ko from 'knockout';
export declare class dxFieldListPicker extends dxDropDownBox {
    _path: ko.Observable<string>;
    _value: ko.Observable<string>;
    _parentViewport: HTMLElement;
    _itemsProvider: ko.Observable<any>;
    _hasDisplayNameOption: boolean;
    _defaultPosition: any;
    updateOptions(options: any): void;
    constructor($element: any, options: any);
    _showDropDown(): void;
    _getMaxHeight(): number;
    _closeOutsideDropDownHandler(e: any, ignoreContainerClicks: any): void;
    _hideOnBlur(): boolean;
    _popupConfig(): any;
    _setTitle(text: string): void;
    _renderDisplayText(newValue: any): void;
    _optionChanged(args: {
        name: string;
        value: any;
    }): void;
    _clearValueHandler(): void;
    _renderPopupContent(): void;
}
