﻿/**
* DevExpress Analytics (core\widgets\booleanEditor.d.ts)
* Version:  24.2.7
* Build date: Apr 29, 2025
* Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
* License: https://www.devexpress.com/Support/EULAs/universal.xml
*/
import * as ko from 'knockout';
import { Editor } from '../../property-grid/widgets/editor';
import { ISerializationInfo } from '../../serializer/serializationInfo';
import { EngineType } from '../../serializer/native/models/base.model';
import { PopupService } from '../../property-grid/internal/_popupService';
import { Popover } from './popover';
export declare class BooleanEditor extends Editor {
    constructor(info: ISerializationInfo, level: any, parentDisabled?: ko.Computed<boolean>, textToSearch?: any, popupService?: PopupService, popover?: Popover, engineType?: EngineType);
    private _disposeLabelSubscription;
    private _checkBoxInitializedHandler;
    getOptions(templateOptions: any): any;
}
