﻿/**
* DevExpress Analytics (diagram\elements\diagramElementViewModel.d.ts)
* Version:  24.2.7
* Build date: Apr 29, 2025
* Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
* License: https://www.devexpress.com/Support/EULAs/universal.xml
*/
import { ElementViewModel } from '../../core/elements/elementViewModel';
import { ModelSerializer } from '../../serializer/serializer';
import { ConnectingPointViewModel } from './connectingPointModel';
import { DiagramElementBaseViewModel } from './diagramElementBaseViewModel';
export declare class DiagramElementViewModel extends DiagramElementBaseViewModel {
    constructor(control: any, parent: ElementViewModel, serializer?: ModelSerializer);
    connectingPoints: ko.ObservableArray<ConnectingPointViewModel>;
    text: ko.Observable<string> | ko.Computed<string>;
    type: ko.Observable<string> | ko.Computed<string>;
}
