﻿/**
* DevExpress Analytics (diagram\utils.d.ts)
* Version:  24.2.7
* Build date: Apr 29, 2025
* Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
* License: https://www.devexpress.com/Support/EULAs/universal.xml
*/
import { IConnectingPoint } from './elements/connectingPointModel';
export declare enum PointSide {
    East = 0,
    South = 1,
    North = 2,
    West = 3
}
export declare const GRID_SIZE = 10;
export declare function determineConnectingPoints<T extends {
    rightConnectionPoint: IConnectingPoint;
    leftConnectionPoint: IConnectingPoint;
}>(startObject: T, endObject: T): {
    start: IConnectingPoint;
    end: IConnectingPoint;
};
