﻿/**
* DevExpress Analytics (dx-analytics-core-imports.js)
* Version:  24.2.7
* Build date: Apr 29, 2025
* Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
* License: https://www.devexpress.com/Support/EULAs/universal.xml
*/
import 'devextreme/integration/knockout';
import 'devextreme/ui/accordion';
import 'devextreme/ui/button';
import 'devextreme/ui/check_box';
import 'devextreme/ui/color_box';
import 'devextreme/ui/date_box';
import 'devextreme/ui/drop_down_box';
import 'devextreme/ui/notify';
import 'devextreme/ui/popup';
import 'devextreme/ui/radio_group';
import 'devextreme/ui/scroll_view';
import 'devextreme/ui/select_box';
import 'devextreme/ui/tab_panel';
import 'devextreme/ui/tag_box';
import 'devextreme/ui/text_area';
import 'devextreme/ui/text_box';
import 'devextreme/ui/text_box/ui.text_editor.base';
import 'devextreme/ui/themes';
import 'devextreme/ui/validation_group';
import 'devextreme/ui/validation_summary';
import 'devextreme/ui/validator';
import './core/widgets/bordereditor/_binding';
import './core/_bindings';
import './property-grid/bindings';
import './property-grid/widgets/collectioneditor/_bindings';
import './widgets/bindings';
import './widgets/expressioneditor/bindings';
import './widgets/formatstring/binding';
import './widgets/treelist/_binding';
