﻿/**
* DevExpress Analytics (property-grid\internal\_codeResolver.d.ts)
* Version:  24.2.7
* Build date: Apr 29, 2025
* Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
* License: https://www.devexpress.com/Support/EULAs/universal.xml
*/
import { DxPromise } from '../../core/utils/_jqueryUtils';
export interface ICodeResolverTask {
    $promise: DxPromise<any>;
    dispose: () => void;
    doNext: () => void;
    force: () => void;
}
export declare class CodeResolver {
    private _queue;
    private _queueObj;
    private _done;
    private _doneOnce;
    clear(): void;
    done(callback: any): void;
    doneOnce(callback: any): void;
    private _executeNext;
    execute(func: any, time?: number): ICodeResolverTask;
}
export declare const globalResolver: CodeResolver;
