﻿/**
* DevExpress Analytics (property-grid\widgets\collectioneditor\_bindings.d.ts)
* Version:  24.2.7
* Build date: Apr 29, 2025
* Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
* License: https://www.devexpress.com/Support/EULAs/universal.xml
*/
import * as ko from 'knockout';
import { ICollectionEditorOptionsBase } from './_editor';
import { IUndoEngine } from '../internal/_utils';
import { ISerializationInfo } from '../../../serializer/serializationInfo';
export interface IKoCollectionEditorOptions extends ICollectionEditorOptionsBase {
    values: ko.Observable<ko.ObservableArray<any>> | ko.Computed<ko.ObservableArray<any>>;
    undoEngine?: ko.Observable<IUndoEngine> | ko.Computed<IUndoEngine>;
    info?: ko.Observable<ISerializationInfo> | ko.Computed<ISerializationInfo>;
}
