﻿/**
* DevExpress Analytics (query-builder\dataSource\json\_jsonSchemaProvider.d.ts)
* Version:  24.2.7
* Build date: Apr 29, 2025
* Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
* License: https://www.devexpress.com/Support/EULAs/universal.xml
*/
import { RequestWrapper } from '../../utils/requestwrapper';
import { JsonDataSource } from './jsonDataSource';
import { IParameter } from '../../wizard/internal/_utils';
import { JsonSchemaRootNode } from './jsonSchemaNode';
import { DxPromise } from '../../../core/utils/_jqueryUtils';
export declare let getJsonSchemaCallback: (requestWrapper: RequestWrapper, jsonDataSource: JsonDataSource, parameters?: IParameter[]) => DxPromise<JsonSchemaRootNode>;
export declare function _setGetJsonSchemaCallback(func: any): void;
export declare function _resetGetJsonSchemaCallback(): void;
