﻿/**
* DevExpress Analytics (query-builder\dataSource\object\objectDataSource.d.ts)
* Version:  24.2.7
* Build date: Apr 29, 2025
* Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
* License: https://www.devexpress.com/Support/EULAs/universal.xml
*/
import * as ko from 'knockout';
import { Disposable } from '../../../serializer/disposable';
import { IDataSourceBase } from '../sql/sqlDataSource';
import { IObjectDataSourceWizardState } from '../../wizard/dataSourceWizardState';
import { ObjectCtor, ObjectDataMember } from './objectSchema';
export declare class ObjectDataSource extends Disposable implements IDataSourceBase {
    setState(state: IObjectDataSourceWizardState): void;
    name: ko.Observable<string>;
    id: string;
    selectedType: string;
    ctor: ObjectCtor;
    dataMember: ObjectDataMember;
}
