﻿/**
* DevExpress Analytics (query-builder\elements\allColumnsSurface.d.ts)
* Version:  24.2.7
* Build date: Apr 29, 2025
* Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
* License: https://www.devexpress.com/Support/EULAs/universal.xml
*/
import * as ko from 'knockout';
import { SurfaceElementBase, ISurfaceContext } from '../../core/elements/baseSurface';
import { AllColumnsViewModel } from './allColumnsModel';
export declare class AllColumnsSurface extends SurfaceElementBase<AllColumnsViewModel> {
    constructor(control: AllColumnsViewModel, context: ISurfaceContext);
    template: string;
    toggleSelected: () => void;
    selectedWrapper: ko.PureComputed<boolean>;
    isOverAsterisk: ko.PureComputed<boolean>;
    cssClasses: () => {
        'dxd-state-active': ko.Observable<boolean> | ko.Computed<boolean>;
        'dxd-state-hovered': boolean;
    };
}
