﻿/**
* DevExpress Analytics (query-builder\elements\parameterModel.js)
* Version:  24.2.7
* Build date: Apr 29, 2025
* Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
* License: https://www.devexpress.com/Support/EULAs/universal.xml
*/
import { DataSourceParameter } from '../dataSource/dataSourceParameter';
import { IsDataAccessExpression, getEditorType } from '../../core/internal/_editorTypeMapper';
export class ParameterViewModel extends DataSourceParameter {
    getEditorType(type) {
        if (IsDataAccessExpression(type))
            return { header: 'dxqb-expressionstring' };
        return getEditorType(type);
    }
}
