﻿/**
* DevExpress Analytics (query-builder\elements\queryElementSurface.d.ts)
* Version:  24.2.7
* Build date: Apr 29, 2025
* Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
* License: https://www.devexpress.com/Support/EULAs/universal.xml
*/
import * as ko from 'knockout';
import { QueryElementBaseViewModel } from './queryElementModel';
import { SurfaceElementBase, ISurfaceContext } from '../../core/elements/baseSurface';
import { IUnitProperties } from '../../core/utils/_units';
export declare class QueryElementBaseSurface<M extends QueryElementBaseViewModel> extends SurfaceElementBase<M> {
    static _unitProperties: IUnitProperties<QueryElementBaseViewModel>;
    constructor(control: M, context: ISurfaceContext, unitProperties: IUnitProperties<M>);
    template: string;
    selectiontemplate: string;
    contenttemplate: string;
    margin: ko.Observable<number>;
}
