﻿/**
* DevExpress Analytics (query-builder\utils\_callbacks.d.ts)
* Version:  24.2.7
* Build date: Apr 29, 2025
* Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
* License: https://www.devexpress.com/Support/EULAs/universal.xml
*/
import { ICommonBindingCustomizationHandler, ICommonCallbacksHandler } from '../../core/utils/_utils.typings';
import { IQueryBuilderModel } from '../_queryBuilderModel';
import { JSQueryBuilder } from '../binding/jsQueryBuilder';
import { IQueryBuilderPublicCallback } from './publicCallbacks';
export interface IQueryBuilderCustomizationHandler extends ICommonCallbacksHandler<JSQueryBuilder, IQueryBuilderModel> {
    saveQueryRequested?: (serializedData: any) => void;
}
export interface IJSQueryBuilderCallbacks extends IQueryBuilderCustomizationHandler, IQueryBuilderPublicCallback<JSQueryBuilder>, ICommonBindingCustomizationHandler<JSQueryBuilder> {
}
