﻿/**
* DevExpress Analytics (query-builder\utils\_requestwrapper.d.ts)
* Version:  24.2.7
* Build date: Apr 29, 2025
* Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
* License: https://www.devexpress.com/Support/EULAs/universal.xml
*/
import { SqlDataConnection } from '../dataSource/sql/sqlDataConnection';
import { IRebuildSchemaResponse, ISelectStatementResponse } from './requestwrapper';
import { SqlDataSource } from '../dataSource/sql/sqlDataSource';
import { FederationDataSource } from '../dataSource/federation/federationDataSource';
import { DxPromise } from '../../core/utils/_jqueryUtils';
export declare function wrapGetSelectStatement(callback?: (connection: SqlDataConnection, queryJSON: string) => DxPromise<ISelectStatementResponse>): (connection: SqlDataConnection, queryJSON: string) => DxPromise<ISelectStatementResponse>;
export declare function wrapRebuildResultSchema(callback?: (dataSource: SqlDataSource, queryName?: string, relationsEditing?: boolean) => DxPromise<IRebuildSchemaResponse>): (dataSource: SqlDataSource, queryName?: string, relationsEditing?: boolean) => DxPromise<IRebuildSchemaResponse>;
export declare function wrapGetFederationdResultSchema(callback?: (dataSource: FederationDataSource) => DxPromise<{
    resultSchemaJSON: string;
}>): (dataSource: FederationDataSource) => DxPromise<{
    resultSchemaJSON: string;
}>;
