﻿/**
* DevExpress Analytics (query-builder\widgets\masterdetaileditor\_masterQuerySurface.d.ts)
* Version:  24.2.7
* Build date: Apr 29, 2025
* Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
* License: https://www.devexpress.com/Support/EULAs/universal.xml
*/
import * as ko from 'knockout';
import { MasterDetailRelation } from '../../dataSource/sql/masterDetailRelation';
import { MasterDetailRelationSurface } from './_masterDetailRelationSurface';
export declare class MasterQuerySurface {
    constructor(masterQueryName: string, relations: ko.ObservableArray<MasterDetailRelation>);
    queryName: string;
    relations: ko.ObservableArray<MasterDetailRelationSurface>;
    create: (detailQueryItem: {
        name: string;
    }) => void;
    add: (relation: MasterDetailRelation) => void;
    remove: (relationSurface: MasterDetailRelationSurface) => void;
}
