﻿/**
* DevExpress Analytics (query-builder\wizard\chooseAvailableDataSourcePage.d.ts)
* Version:  24.2.7
* Build date: Apr 29, 2025
* Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
* License: https://www.devexpress.com/Support/EULAs/universal.xml
*/
/// <reference types="jquery" />
import { IDataSourceInfo } from '../../core/utils/_fieldListProvider';
import { ChooseAvailableItemPage } from './chooseAvailablePage';
import { _DataSourceWizardOptions } from './dataSourceWizard';
import { IDataSourceWizardState } from './dataSourceWizardState';
import { PageFactory } from './pageFactory';
export declare class ChooseAvailableDataSourcePage extends ChooseAvailableItemPage {
    commit(): JQuery.Promise<IDataSourceWizardState, any, any>;
    _getSelectedItem(state: IDataSourceWizardState): IDataSourceInfo;
    canNext(): boolean;
    canFinish(): boolean;
}
export declare function _registerChooseAvailableDataSourcePage(factory: PageFactory, wizardOptions: _DataSourceWizardOptions): void;
