﻿/**
* DevExpress Analytics (query-builder\wizard\fullscreen\fullscreenWizardPageFactory.d.ts)
* Version:  24.2.7
* Build date: Apr 29, 2025
* Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
* License: https://www.devexpress.com/Support/EULAs/universal.xml
*/
import { IWizardPageMetadata } from '../pages/wizardPageMetadata';
import { PageFactory } from '../pageFactory';
import { IWizardPage } from '../pages/IWizardPage';
export interface IFullscreenWizardPageMetadata<T extends IWizardPage> extends IWizardPageMetadata<T> {
    navigationPanelText?: string;
}
export declare class FullscreenWizardPageFactory extends PageFactory {
    registerMetadata<T extends IWizardPage>(pageId: string, metadata: IFullscreenWizardPageMetadata<T>): void;
    getMetadata(key: string): IFullscreenWizardPageMetadata<IWizardPage>;
    metadata: {
        [key: string]: IFullscreenWizardPageMetadata<IWizardPage>;
    };
}
