﻿/**
* DevExpress Analytics (query-builder\wizard\fullscreen\pages\selectDataSourcePage.d.ts)
* Version:  24.2.7
* Build date: Apr 29, 2025
* Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
* License: https://www.devexpress.com/Support/EULAs/universal.xml
*/
import { IDataSourceInfo } from '../../../../core/utils/_fieldListProvider';
import { _DataSourceWizardOptions } from '../../dataSourceWizard';
import { FullscreenWizardPageFactory } from '../fullscreenWizardPageFactory';
import { FullscreenWizardPage } from './fullscreenWizardPage';
export declare class SelectDataSourcePage extends FullscreenWizardPage {
    private wizardOptions;
    private dataSources;
    constructor(wizardOptions: _DataSourceWizardOptions, dataSources: IDataSourceInfo[]);
    registerSections(): void;
    showPredefinedDataSourceSection(): boolean;
    showChooseDataSourceTypeSection(): boolean;
    getNextSectionId(sectionId: string): string;
    disabledSectionText: any;
}
export declare function _registerSelectDataSourcePage(factory: FullscreenWizardPageFactory, wizardOptions: _DataSourceWizardOptions): void;
