﻿/**
* DevExpress Analytics (query-builder\wizard\internal\_dbSchemaTreeListController.d.ts)
* Version:  24.2.7
* Build date: Apr 29, 2025
* Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
* License: https://www.devexpress.com/Support/EULAs/universal.xml
*/
import { TreeListController } from '../../../widgets/treelist/_treelistController';
import { IDataMemberInfo, IAction } from '../../../widgets/utils';
import { TreeListItemViewModel } from '../../../widgets/treelist/_treelistItem';
import { TreeListSearchOptions } from '../../../widgets/treelist/_treeListSearchOptions';
export declare class DBSchemaTreeListController extends TreeListController {
    private _customizeDBSchemaTreeListActions;
    searchOptions: TreeListSearchOptions;
    constructor(_customizeDBSchemaTreeListActions: (item: IDataMemberInfo, actions: IAction[]) => void, searchOptions?: TreeListSearchOptions);
    getActions(value: TreeListItemViewModel): IAction[];
    canSelect(value: TreeListItemViewModel): boolean;
}
