﻿/**
* DevExpress Analytics (query-builder\wizard\internal\_wizardPageSectionFactory.d.ts)
* Version:  24.2.7
* Build date: Apr 29, 2025
* Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
* License: https://www.devexpress.com/Support/EULAs/universal.xml
*/
import { PageFactory } from '../pageFactory';
import { IWizardPage } from '../pages/IWizardPage';
import { IWizardPageSectionMetadata } from './wizardPageSectionMetadata';
export declare class WizardPageSectionFactory extends PageFactory {
    registerMetadata<T extends IWizardPage>(pageId: string, metadata: IWizardPageSectionMetadata<T>): void;
    metadata: {
        [key: string]: IWizardPageSectionMetadata<IWizardPage>;
    };
}
