﻿/**
* DevExpress Analytics (query-builder\wizard\pages\objectDataSourceWizard\configureObjectDataSourceParametersPage.d.ts)
* Version:  24.2.7
* Build date: Apr 29, 2025
* Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
* License: https://www.devexpress.com/Support/EULAs/universal.xml
*/
/// <reference types="jquery" />
import { IObjectDataSourceWizardState } from '../../dataSourceWizardState';
import { ChooseObjectMemberParameters } from '../../internal/objectDataSource/_chooseObjectParameters';
import { IItemsProvider } from '../../../../widgets/utils';
import { PageFactory } from '../../pageFactory';
import { WizardPageBase } from '../wizardPageBase';
export declare class ConfigureObjectDataSourceParametersPage extends WizardPageBase<IObjectDataSourceWizardState, IObjectDataSourceWizardState> {
    private _objectDataSource;
    _chooseObjectParameters: ChooseObjectMemberParameters;
    constructor(itemsProvider: IItemsProvider);
    canNext(): boolean;
    canFinish(): boolean;
    commit(): JQuery.Promise<IObjectDataSourceWizardState, any, any>;
    initialize(state: IObjectDataSourceWizardState): JQuery.Promise<any, any, any>;
}
export declare function _registerConfigureObjectDataSourceParametersPage(factory: PageFactory, getItemsProviderCallback: () => IItemsProvider): void;
