﻿/**
* DevExpress Analytics (query-builder\wizard\pages\sqlDataSourceWizard\_sqlDataSourceWrapper.d.ts)
* Version:  24.2.7
* Build date: Apr 29, 2025
* Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
* License: https://www.devexpress.com/Support/EULAs/universal.xml
*/
import { SqlDataSource } from '../../../dataSource/sql/sqlDataSource';
import { ISqlQueryViewModel } from '../../../dataSource/utils';
import { RequestWrapper } from '../../../utils/requestwrapper';
import { Disposable } from '../../../../serializer/disposable';
export declare class _SqlDataSourceWrapper extends Disposable {
    sqlDataSourceJSON?: string;
    sqlDataSource: SqlDataSource;
    private _queryIndex;
    get sqlQuery(): ISqlQueryViewModel;
    set sqlQuery(val: ISqlQueryViewModel);
    saveCustomQueries(): any[];
    save(): string;
    customQueries: ISqlQueryViewModel[];
    constructor(sqlDataSourceJSON?: string, queryName?: string, requestWrapper?: RequestWrapper);
}
