﻿/**
* DevExpress Analytics (query-builder\wizard\pages\wizardPageBase.d.ts)
* Version:  24.2.7
* Build date: Apr 29, 2025
* Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
* License: https://www.devexpress.com/Support/EULAs/universal.xml
*/
/// <reference types="jquery" />
import { Disposable } from '../../../serializer/disposable';
import { IWizardPage } from './IWizardPage';
export declare class WizardPageBase<TState = any, TResult = any> extends Disposable implements IWizardPage {
    changeAlways: boolean;
    dispose(): void;
    commit(): JQuery.Promise<TResult, any, any>;
    protected _onChange: () => void;
    onChange(callback: any): void;
    initialize(state: TState, stateChanged?: boolean): JQuery.Promise<any, any, any>;
    canNext(): boolean;
    canFinish(): boolean;
}
