﻿/**
* DevExpress Analytics (serializer\native\models\interfaces.model.d.ts)
* Version:  24.2.7
* Build date: Apr 29, 2025
* Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
* License: https://www.devexpress.com/Support/EULAs/universal.xml
*/
import { EventPropertyManager } from '../../eventManager';
import { PropertyChangedEvents } from '../../propertyChangedEvents';
export interface IModel {
    events: EventPropertyManager<this>;
    onPropertyChanged(args: PropertyChangedEvents['propertyChanged']): void;
}
export interface IViewModel<T = unknown> {
    getModel(): T;
}
export interface IRenderingModel {
    getViewModel(): IViewModel;
    createViewModel(): void;
}
