﻿/**
* DevExpress Analytics (widgets\_utils.d.ts)
* Version:  24.2.7
* Build date: Apr 29, 2025
* Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
* License: https://www.devexpress.com/Support/EULAs/universal.xml
*/
import { IDataMemberInfo, IItemsProvider } from './utils';
export declare function integerValueConverter(val: any, defaultValue: any, type?: any): any;
export declare function enumValueConverter(val: any, defaultValue: any, valuesList: any): any;
export interface IValidateExpressionOptions {
    fieldListProvider: IItemsProvider;
    expression: string;
    path: string;
    rootItems?: string[];
}
export declare function validateExpression(options: IValidateExpressionOptions): import("../core/utils/_jqueryUtils").DxPromise<any>;
export declare function floatValueConverter(val: any, defaultValue: any, type?: any): any;
export declare let isDarkTheme: (theme?: string) => boolean;
export declare function _setIsDarkTheme(callback: any): void;
export declare function setCursorInFunctionParameter(paramCount: any, editor: any, insertValue: any): void;
export declare function isList(data: IDataMemberInfo): boolean;
export declare function getParentContainer(el: HTMLElement, container?: string): HTMLElement;
export declare function isNullOrEmptyString(str: string): boolean;
