﻿/**
* DevExpress Analytics (widgets\common\pathRequest.d.ts)
* Version:  24.2.7
* Build date: Apr 29, 2025
* Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
* License: https://www.devexpress.com/Support/EULAs/universal.xml
*/
export interface IPathRequest {
    fullPath: string;
    path: string;
    ref?: string;
    id?: string;
    dataSource?: any;
    state?: any;
    pathParts?: string[];
}
export declare class PathRequest implements IPathRequest {
    pathParts: string[];
    constructor(fullPath: string, pathParts?: string[]);
    fullPath: string;
    ref: string;
    id: string;
    path: string;
}
