﻿/**
* DevExpress Analytics (widgets\criteria\utils\criteriaChangeOperator.d.ts)
* Version:  24.2.7
* Build date: Apr 29, 2025
* Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
* License: https://www.devexpress.com/Support/EULAs/universal.xml
*/
import { CriteriaProcessType } from './criteriaProcessType';
export interface ICriteriaChangeOperator {
    name: string;
    value: any;
    type: any;
    _type: keyof CriteriaProcessType;
    hidden?: boolean;
    reverse?: boolean;
    localizationId?: string;
    insertVal?: string;
    displayText?: string;
    paramCount?: number;
    emptyRightPart?: boolean;
}
