﻿/**
* DevExpress Analytics (widgets\filtereditor\helpers\_addon.d.ts)
* Version:  24.2.7
* Build date: Apr 29, 2025
* Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
* License: https://www.devexpress.com/Support/EULAs/universal.xml
*/
import * as ko from 'knockout';
import { PopupService } from '../../../property-grid/internal/_popupService';
import { CriteriaOperatorSurface } from '../operators/criteriaOperatorSurface';
import { CriteriaOperator } from '../../criteria/operators/criteriaOperator';
import { Disposable } from '../../../serializer/disposable';
export declare class FilterEditorAddOn extends Disposable {
    private _filterPlaceHolder;
    private _popupService;
    private _action;
    private _updateActions;
    constructor(criteria: CriteriaOperatorSurface<CriteriaOperator>, popupService: PopupService, action: string, propertyName: any, templateName?: any);
    showPopup: (_: any, element: any) => void;
    popupContentTemplate: string;
    propertyName: string;
    target: CriteriaOperatorSurface<CriteriaOperator>;
    filterString: ko.Observable<string>;
    isFiltered: ko.Observable<boolean>;
}
