﻿/**
* DevExpress Analytics (widgets\filtereditor\operators\unaryOperandSurface.d.ts)
* Version:  24.2.7
* Build date: Apr 29, 2025
* Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
* License: https://www.devexpress.com/Support/EULAs/universal.xml
*/
import * as ko from 'knockout';
import { CriteriaOperatorSurface } from './criteriaOperatorSurface';
import { UnaryOperator } from '../../criteria/operators/unary';
import { CriteriaOperator } from '../../criteria/operators/criteriaOperator';
export declare class UnaryOperandSurface extends CriteriaOperatorSurface<UnaryOperator> {
    constructor(operator: UnaryOperator, parent: any, fieldListProvider?: any, path?: any);
    get leftPart(): any;
    get rightPart(): any;
    createChildSurface(item: CriteriaOperator, path?: any, actions?: any): CriteriaOperatorSurface<CriteriaOperator>;
    dispose(): void;
    contentTemplateName: string;
    operand: ko.Observable<any>;
}
